Get credit note by ID
curl --request GET \
--url https://api.zenskar.com/credit_notes/{credit_note_id} \
--header 'organisation: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.zenskar.com/credit_notes/{credit_note_id}"
headers = {
"x-api-key": "<api-key>",
"organisation": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', organisation: '<api-key>'}};
fetch('https://api.zenskar.com/credit_notes/{credit_note_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"currency": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "in_progress",
"repayment_method": "credits",
"line_items_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"credits_returned": 123,
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"external_id": "<string>"
},
"invoice": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"external_id": "<string>"
},
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_data": {},
"credit_note_number": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Credit Notes
Get credit note by ID
Fetch a credit note by its ID. The credit note will be associated with the organisation.
GET
/
credit_notes
/
{credit_note_id}
Get credit note by ID
Authorizations
Path Parameters
Response
Successful Response
ID
Amount in lowest denomination of the currency
Currency
Customer ID
Status
Available options:
in_progress, issued, void, paid Repayment Method
Available options:
credits, invoice_adjusted, external_payment, credits_against_payment, original_payment_method Line Items URL
Created At
Credits amount in lowest denomination of the currency
Customer Object
Show child attributes
Show child attributes
Invoice Object
Show child attributes
Show child attributes
Invoice ID
Custom Data Dictionary
Credit Note Number